// %PARAMETERS = "CH19LIST C:\UT2004"
//Identifies the package
//CH19_03LIST.uc

//This class tests CH19LIST.Script and
//uses in addition CH19LIST.Element


class CH19_03LIST extends Commandlet;
function int Main(string Args)
{
  //#1
  local Element firstElement, secondElement, thirdElement;
  local Script firstScript;

  firstElement = new class'Element';
  secondElement = new class'Element';
  thirdElement = new class'Element';
  firstScript = new class'Script';

  Log(Chr(10)$ " Testing the Element with Script class");

  //#2
  firstElement.setElement("None",                                  //prop
                         "Electra",                               //character
                         "Am I to make thy rule of honor mine?",  //speech
                         100);                                    //element
  firstElement.setDirection("Still and angry.");


  secondElement.setElement("None",                                  //prop
                         "Chrysothemis",                           //character
             "When thou art wise, then thou shalt guide us both.",  //speech
                         105);                                     //element
  secondElement.setDirection("Fearful.");

  //#3
  firstScript.addElement(firstElement);
  firstScript.addElement(secondElement);

  //#4
  firstScript.showBasicElement(firstElement.getElementNum());
  firstScript.showBasicElement(secondElement.getElementNum());
  //Number of elements in container
  Log(Chr(10) $ "    Elements: " $ firstScript.getLength());
  //#5
  secondElement = firstScript.getElement(100);

  Log(Chr(10) $ "  Changed values of second element:" );
  Log("   [" $ secondElement.getElementNum()$ "]");
  Log("   [" $ secondElement.getDirection() $ "]");
  Log("   "  $ secondElement.getElementName() $ ":");
  

  //#6
  firstScript.addElement(thirdElement);

  thirdElement.setElement("With great passion",               //prop
                         "Orestes",                           //character
             "Can it be sad Electra!",                        //speech
                         103);                                //element

  firstScript.addElement(thirdElement);
  Log(Chr(10) $ "    Elements: " $ firstScript.getLength());
  firstScript.showBasicElement(thirdElement.getElementNum());
  firstScript.removeElement(103);
  firstScript.showBasicElement(103);
  Log(Chr(10) $ "    Elements: " $ firstScript.getLength());


  return 0;
}
